org.h2gis.functions.io.tsv

## Class TSVDriverFunction

- java.lang.Object
- - org.h2gis.functions.io.tsv.TSVDriverFunction

All Implemented Interfaces:
  org.h2gis.api.DriverFunction

    public class TSVDriverFunction
    extends Object
    implements org.h2gis.api.DriverFunction

This driver allow to import and export the Tab Separated Values (TSV): a format for tabular data exchange A file in TSV format consists of lines. Each line contain fields separated from each other by TAB characters (horizontal tab, HT, Ascii control code 9). "Field" means here just any string of characters, excluding TABs. The point is simply that TABs divide a line into pieces, components. Each line must contain the same number of fields. The first line contains the names for the fields (on all lines), i.e. column headers. Please read : http://www.cs.tut.fi/~jkorpela/TSV.html

Author:
  Erwan Bocher

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.h2gis.api.DriverFunction

`org.h2gis.api.DriverFunction.IMPORT_DRIVER_TYPE`

### Field Summary

Fields
`static String` `DESCRIPTION`

### Constructor Summary

Constructors
Constructor and Description
`TSVDriverFunction()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `exportTable(Connection connection, String tableReference, File fileName, org.h2gis.api.ProgressVisitor progress)`
`String[]` `getExportFormats()`
`String` `getFormatDescription(String format)`
`org.h2gis.api.DriverFunction.IMPORT_DRIVER_TYPE` `getImportDriverType()`
`String[]` `getImportFormats()`
`void` `importFile(Connection connection, String tableReference, File fileName, org.h2gis.api.ProgressVisitor progress)`
`boolean` `isSpatialFormat(String extension)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DESCRIPTION

    public static String DESCRIPTION

### Constructor Detail

#### TSVDriverFunction

    public TSVDriverFunction()

### Method Detail

#### getImportDriverType

    public org.h2gis.api.DriverFunction.IMPORT_DRIVER_TYPE getImportDriverType()

Specified by:
  `getImportDriverType` in interface `org.h2gis.api.DriverFunction`

#### getImportFormats

    public String[] getImportFormats()

Specified by:
  `getImportFormats` in interface `org.h2gis.api.DriverFunction`

#### getExportFormats

    public String[] getExportFormats()

Specified by:
  `getExportFormats` in interface `org.h2gis.api.DriverFunction`

#### getFormatDescription

    public String getFormatDescription(String format)

Specified by:
  `getFormatDescription` in interface `org.h2gis.api.DriverFunction`

#### isSpatialFormat

    public boolean isSpatialFormat(String extension)

Specified by:
  `isSpatialFormat` in interface `org.h2gis.api.DriverFunction`

#### exportTable

    public void exportTable(Connection connection,
                            String tableReference,
                            File fileName,
                            org.h2gis.api.ProgressVisitor progress)
                     throws SQLException,
                            IOException

Specified by:
  `exportTable` in interface `org.h2gis.api.DriverFunction`
Throws:
  `SQLException`
  `IOException`

#### importFile

    public void importFile(Connection connection,
                           String tableReference,
                           File fileName,
                           org.h2gis.api.ProgressVisitor progress)
                    throws SQLException,
                           IOException

Specified by:
  `importFile` in interface `org.h2gis.api.DriverFunction`
Throws:
  `SQLException`
  `IOException`